#ifndef SENDPROGRAMDIALOG_H
#define SENDPROGRAMDIALOG_H

#include <LoQClass/loqdialog.h>
#include <QTreeWidgetItem>
#include "wprogrampublishitem.h"
namespace Ui {
class SendProgramDialog;
}

class SendProgramDialog : public LoQDialog
{
    Q_OBJECT

public:
    explicit SendProgramDialog(QWidget *parent = nullptr,QString strProgramName="",QString strProgramPath="");
    ~SendProgramDialog();
protected slots:
    void onRefresh();
    void onPublish();
    void FilterProgram(const QString &strtemp);
    void onMaxWnd();
private:
        void onAddLedCard(LedCard *p);
private:
    Ui::SendProgramDialog *ui;
    QTreeWidgetItem *m_headerItem=nullptr;
    QList<wProgramPublishItem *> m_pwDeviceItemList;
    QTimer * m_pTimer=nullptr;
    QString m_strProgramName="";
    QString m_strProgramPath="";
    QString m_strUrl="";

};


#endif // SENDPROGRAMDIALOG_H
